SVC(1)

NAME
svc, ci, co, svclog - shell version control system

SYNOPSIS
ci [-lu] file
co [-l] [-r rev] file
svclog file

OPTIONS

-l  # For ci, checkin, checkout again, and lock file

-l  # For co, checkout file and then lock the archive

-u  # After checking in, do not delete the file

-r  # Check out revision rev instead most recent revision

EXAMPLES

ci -u file
    # Check in file

co -l file
    # Check out file and lock archive

co -r 2 file
    # Check out version 2

DESCRIPTION

Svc is the Shell Version Control system, patterned on RCS. It maintains a sequence of versions in archive files, so that new versions can be checked in (added to the archive), and old versions can be checked out (made available). To create an archive for file, check it in with the -u flag. This action will prompt for a log message and then create an archive called file,S in the current directory, or in the subdirectory SVC if it exists. The file will not be deleted, but will be made unwritable.

To update the file, check it out with the -l flag. Then modify it, and check it back in, giving a new message when prompted. After this process has been repeated many times, the archive will contain the entire history. Any version can be checked out using the -r flag. To get a printout of the history, use svclog.